Bug 227741 - www/drush: add flavors
Summary: www/drush: add flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-24 13:28 UTC by Jonas Palm
Modified: 2018-06-26 16:08 UTC (History)
2 users (show)

See Also:
fernape: maintainer-feedback? (mfechner)


Attachments
Patch for www/drush/Makefile to add flavor support (650 bytes, patch)
2018-04-24 13:28 UTC, Jonas Palm
no flags Details | Diff
Patch for www/drush/Makefile to add flavor support (610 bytes, patch)
2018-06-21 09:13 UTC, Jonas Palm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Palm 2018-04-24 13:28:48 UTC
Created attachment 192778 [details]
Patch for www/drush/Makefile to add flavor support

Please add flavors to the www/drush package so that it can be build with different php versions.
Comment 1 Bugzilla Automation freebsd_committer 2018-04-24 13:28:48 UTC
Maintainer informed via mail
Comment 2 Jonas Palm 2018-06-19 08:05:01 UTC
It's two months - could somebody please take a look? This is the last port missing for me to have everything build in one go with poudriere thanks to flavors..
Comment 3 Fernando Apesteguía freebsd_committer 2018-06-20 17:17:15 UTC
I'll have a look.
Comment 4 Fernando Apesteguía freebsd_committer 2018-06-20 17:20:11 UTC
Hi Jonas,

Thanks for the update!

The patch does not apply. Could you regenerate it?

Thanks!
Comment 5 Jonas Palm 2018-06-21 09:13:13 UTC
Created attachment 194448 [details]
Patch for www/drush/Makefile to add flavor support

Sorry, I seem to have copied the patch from another server and accidentally replaced tabs with spaces. Should work now.
Comment 6 Fernando Apesteguía freebsd_committer 2018-06-23 16:04:42 UTC
Ping maintainer
Comment 7 Matthias Fechner freebsd_committer 2018-06-24 07:43:40 UTC
Thanks a lot for your patch!
Sorry for the delay but I got no notification till yesterday for this.

I will pick it up and commit it.
Comment 8 Fernando Apesteguía freebsd_committer 2018-06-24 08:53:37 UTC
(In reply to Matthias Fechner from comment #7)
For the record, this patch works for me in {10.4,11.1}{amd64,i386} and 12i386

Resetting assignee :)
Comment 9 Matthias Fechner freebsd_committer 2018-06-24 09:04:39 UTC
Review created:
https://reviews.freebsd.org/D15990
Comment 10 commit-hook freebsd_committer 2018-06-26 15:34:19 UTC
A commit references this bug:

Author: mfechner
Date: Tue Jun 26 15:33:27 UTC 2018
New revision: 473390
URL: https://svnweb.freebsd.org/changeset/ports/473390

Log:
  Added flavors support to drush.

  PR:		227741
  Submitted by:	Jonas Palm
  Reported by:	Jonas Palm
  Reviewed by:	tz (mentor)
  Approved by:	tz (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15990

Changes:
  head/UPDATING
  head/www/drush/Makefile
Comment 11 Matthias Fechner freebsd_committer 2018-06-26 16:08:31 UTC
Commited, thanks a lot for your patch!